petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatCreateMPIMatConcatenateSeqMat

Creates a single large PETSc matrix by concatenating sequential matrices from each processor

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCreateMPIMatConcatenateSeqMat(MPI_Comm comm,Mat seqmat,PetscInt n,MatReuse reuse,Mat *mpimat)

Collective on MPI_Comm

### Input Parameters

| comm | - the communicators the parallel matrix will live on
| seqmat | - the input sequential matrices
| n | - number of local columns (or PETSC_DECIDE)
| reuse | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX

### Output Parameter

mpimat -the parallel matrix generated

Notes: The number of columns of the matrix in EACH processor MUST be the same.

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages